.. GPIO Zero: a library for controlling the Raspberry Pi's GPIO pins
..
.. Copyright (c) 2015-2021 Dave Jones <dave@waveform.org.uk>
.. Copyright (c) 2017-2019 Ben Nuttall <ben@bennuttall.com>
..
.. SPDX-License-Identifier: BSD-3-Clause

.. include:: ../README.rst

Table of Contents
=================

.. toctree::
    :maxdepth: 1
    :numbered:

    installing
    recipes
    recipes_advanced
    remote_gpio
    recipes_remote_gpio
    pi_zero_otg
    source_values
    cli_tools
    faq
    migrating_from_rpigpio
    contributing
    development
    api_input
    api_output
    api_spi
    api_boards
    api_internal
    api_generic
    api_tools
    api_fonts
    api_tones
    api_info
    api_pins
    api_exc
    changelog
    license

Indices and tables
==================

* :ref:`genindex`
* :ref:`modindex`
* :ref:`search`
